Subject: Re: Unix/DOS text mode?
From: "vipin aravind" <[email-masked]>
To: "Joshua" <[email-masked]>, <[email-masked]>
Date: Tue, 20 Nov 2001 13:16:49 +0530

what is  the operating  system  you are on?
vipin
----- Original Message -----
From: "Joshua" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, November 20, 2001 12:50 PM
Subject: Re: Unix/DOS text mode?

>     Hmm, I've noticed this difference between the PC version of vim/gvim
> versus the vim that comes with cygwin.  Using the PC version, vim/gvim
seems
> to be able to tell whether you're opening a unix file or a PC file and
> display/edit appropriately.
>
>     I tried copying my _vimrc from my PC installation to .vimrc in my home
> directory, but that doesn't do the trick.  I figured it was either a
switch
> in vimrc or something to do with the mounts themselves.  BCNU//jle
>
> From: "Larry Hall (RFK Partners, Inc)" <lhall at rfk dot com>
> To: AGalick at attotech dot com, cygwin at cygwin dot com
> Date: Mon, 19 Nov 2001 16:34:25 -0500
> Subject: Re: Unix/DOS text mode?
>
> --------------------------------------------------------------------------
--
> ----
>
> At 04:00 PM 11/19/2001, [email-masked] wrote:
> >After an upgrade, I seem to have lost all sanity in vi(m).
> >I used to see .txt files the same with notepad or vi, but
> >now in vi every line ends with a blue ^M.  I've played
> >with mount -[t|b] and tried [un and re]installing vim but I'm
> >stumped.  The thing is, it seems to have also disabled all
> >the nice search string history/recall (I guess because .viminfo
> >also shows those damned ^M's).  What have I done
> >or what has cygwin done?  I guess other stuff got upgraded,
> >too, but I don't know what.
>
>
> Try setting "fileformat=dos" in your .vimrc file if you always want
> your files to be treated as a DOS text file.  See the help in vim for
> more info.
>
>
>
>
>
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      http://www.rfk.com
> 838 Washington Street                   (508) 893-9779 - RFK Office
> Holliston, MA 01746                     (508) 893-9889 - FAX
>
>
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/